use utf8;
use strict;
use warnings FATAL => 'all';

package Xyzzy::Static;

use Xyzzy::Generator -Base;

sub build {
	my $doc = $self->doc;
	my $cfg = $self->cfg;
	my $req = $self->req;

	my $info = $req->path_info;
	my @path = grep { $_ ne '' } split('/', $info);
	foreach(@path) {
		unless(/^[a-z0-9]+([._,-]+[a-z0-9]+)*$/i) {
			warn "Bad path: '$info'\n";
			return $req->status(403);
		}
	}
	my $path = join('/', $cfg->contentdir, @path) . '.xml';

	return $req->status(404) unless -f $path;
	return $req->status(403) unless -r _;

	$self->addTemplates('base');
	$doc->addChunks(0, $path);
}
